diff trimmomatic.sh @ 0:3358c3d30143 draft

Uploaded initial version.
author pjbriggs
date Mon, 01 Dec 2014 10:40:07 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/trimmomatic.sh	Mon Dec 01 10:40:07 2014 -0500
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Shell wrapper to run Trimmomatic jar file as a Galaxy tool
+echo Arguments:
+for i in $@ ; do
+    echo "*" $i
+done
+java $@ 2>&1 | tee trimmomatic.log
+status=$?
+echo "Exit status: $status"
+# Check for successful completion
+if [ -z "$(tail -1 trimmomatic.log | grep "Completed successfully")" ] ; then
+    echo "Trimmomatic did not finish successfully" >&2
+    exit 1
+fi
+exit $status
+##
+#